
User Interface - Bug #8213

Browse: NPE when pressing Shift-TAB in the first column cell

01/23/2024 03:55 PM - Vladimir Tsichevski

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Stanislav Lomany % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD   

Description

Related issues:

Related to User Interface - Bug #8226: Arrow keys on numpad do not work in FWD New

History

#1 - 01/23/2024 04:01 PM - Vladimir Tsichevski

1. Open a BROWSE widget with at least one cell. Set focus to any cell in the first column from the left.

2. Press Shift-TAB.

The client crashes with NPE.

The issue root: Browse.java, l.4392:

         RowLeaveResult res = leaveRow(startFromSave, getVisibleColumnCfg(prevColumn).id);

 

here prevColumn is -1, and getVisibleColumnCfg() returns null.

#2 - 01/24/2024 05:30 AM - Vladimir Tsichevski

Also, navigation with Down-Arrow and Up-Arrow does not work in FWD.

#3 - 01/24/2024 10:33 AM - Greg Shah

- Assignee set to Stanislav Lomany

#5 - 01/27/2024 12:27 PM - Stanislav Lomany

Also, navigation with Down-Arrow and Up-Arrow does not work in FWD.
Vladimir, could you give a reproduction scenario? I can't see anything like that. Are we talking about browse?

#6 - 01/27/2024 12:59 PM - Vladimir Tsichevski

Stanislav Lomany wrote:

Also, navigation with Down-Arrow and Up-Arrow does not work in FWD.

 

Vladimir, could you give a reproduction scenario? I can't see anything like that. Are we talking about browse?

 

Probably, this is not an issue, but the arrow button in the numpad do not work as other arrow buttons. In OE, these numpad buttons work the same as

the arrow buttons both in GUI and ChUI.

#7 - 01/27/2024 01:01 PM - Vladimir Tsichevski

Meanwhile all other numpad buttons (PgUp, PgDown, Home, End) work the same as their non-numpad analogs.

#8 - 01/27/2024 01:27 PM - Stanislav Lomany

All arrow keys (up, down, left, right) do not work for any widget, so I'll create a separate issue for it.

#9 - 01/27/2024 03:11 PM - Stanislav Lomany

- Related to Bug #8226: Arrow keys on numpad do not work in FWD added

#10 - 01/27/2024 03:21 PM - Stanislav Lomany

- Status changed from New to WIP

The arrow keys issue was moved to #8226.

Shift-tab NPE will be fixed in #8225.

This task can be closed.

#11 - 01/27/2024 03:21 PM - Stanislav Lomany

- Status changed from WIP to Review

#12 - 01/29/2024 05:49 AM - Greg Shah

- % Done changed from 0 to 100

- Status changed from Review to Closed
